#test next seat
scoreboard players remove @e [name=game] seat 1
scoreboard players set @e [name=game, scores={seat=..0}] seat 10

scoreboard players operation @a [tag=ingame] seatT = @e [name=game] seat
execute @a [tag=ingame] ~~~ scoreboard players operation @s seatT -= @s seat
tag @s add turnRepeat
execute @a [tag=ingame, scores={seatT=0}, c=1] ~~~ tag @a [tag=turnRepeat] remove turnRepeat

#next player if seat occupied, if not skip card
scoreboard players set @s [tag= !skip, tag=!turnRepeat] seconds 30
scoreboard players add @s [tag= !skip, tag=!turnRepeat, tag=!played, tag=!drew] cardsInHand 1
scoreboard players add @s [tag= !skip, tag=!turnRepeat, tag=!played, tag=!drew] deal 1
tag @s [tag= !skip, tag=!turnRepeat] remove turn
execute @s [tag= !skip, tag=!turnRepeat] ~~~ tag @a remove played
execute @s [tag= !skip, tag=!turnRepeat] ~~~ tag @a [tag=ingame, scores={seatT=0}, c=1] add turn
tag @s add self
execute @s [tag= !skip, tag=!turnRepeat] ~~~ tag @a [tag=turn,tag=!self] remove shouted
tag @s remove self
execute @s [tag= !skip, tag=!turnRepeat, scores={cardsInHand=1},tag=!shouted] ~~~ dialogue open @e [tag=caught,c=1,r=100] @a [tag=turn]
execute @s [tag= !skip, tag=!turnRepeat] ~~~ scoreboard players set @a [tag=turn] seconds 30
execute @s [tag= !skip, tag=!turnRepeat, tag=draw4] ~~~ scoreboard players set @a [tag=turn] seconds 10
execute @s [tag= !skip, tag=!turnRepeat] ~~~ scoreboard players set @a [tag=turn] ticks 0
execute @s [tag= !skip, tag=!turnRepeat, tag=!draw4] ~~~ playsound uno:play @a [tag=turn]
execute @s [tag= !skip, tag=!turnRepeat, tag=!draw4] ~~~ title @a [tag=turn] title §r
execute @s [tag= !skip, tag=!turnRepeat,tag=!draw4] ~~~ title @a [tag=turn] subtitle §6§l§☆YOUR TURN

#if skip card, not draw2 card, not reverse card
execute @s [tag= skip, tag= !reverse, tag= !draw2, tag=!turnRepeat] ~~~ playsound uno:skip @a [tag=ingame, scores={seatT=0}]
execute @s [tag= skip, tag= !reverse, tag= !draw2, tag=!turnRepeat] ~~~ title @a [tag=ingame, scores={seatT=0}] title §l
execute @s [tag= skip, tag= !reverse, tag= !draw2, tag=!turnRepeat] ~~~ title @a [tag=ingame, scores={seatT=0}] subtitle §6§l§☆SKIP
execute @s [tag= skip, tag= !reverse, tag= !draw2, tag=!turnRepeat] ~~~ tellraw @a [tag=ingame,scores={seatT=!0}] {"rawtext":[{"text":"§l§a§o- §r§7§o"},{"selector":"@a [tag=ingame,scores={seatT=0}]"},{"text":"'s turn was skiped."}]}
execute @s [tag= skip, tag= !reverse, tag= !draw2, tag=!turnRepeat] ~~~ tellraw @a [tag=ingame,scores={seatT=0}] {"rawtext":[{"text":"§l §6SKIP"}]}

#if reverse card
execute @s [scores={cw=0},tag= reverse,tag=!turnRepeat] ~~~ tellraw @a [tag=ingame] {"rawtext":[{"text":"§l §6REVERSE"}]}
execute @s [scores={cw=0},tag= reverse,tag=!turnRepeat] ~~~ playsound uno:reverse @a [tag=ingame]
execute @s [scores={cw=1},tag= reverse,tag=!turnRepeat] ~~~ tellraw @a [tag=ingame] {"rawtext":[{"text":"§l §6REVERSE"}]}
execute @s [scores={cw=1},tag= reverse,tag=!turnRepeat] ~~~ playsound uno:reverse @a [tag=ingame]
tag @s [tag=!turnRepeat] remove reverse

#if draw2 card
execute @s [tag= draw2, tag=!turnRepeat] ~~~ scoreboard players set @a [tag=ingame, scores={seatT=0}] deal 2
execute @s [tag= draw2, tag=!turnRepeat] ~~~ scoreboard players add @a [tag=ingame, scores={seatT=0}] cardsInHand 2
execute @s [tag= draw2, tag=!turnRepeat] ~~~ playsound uno:draw2 @a [tag=ingame, scores={seatT=0}]
execute @s [tag= draw2, tag=!turnRepeat] ~~~ title @a [tag=ingame, scores={seatT=0}] title §l
execute @s [tag= draw2, tag=!turnRepeat] ~~~ title @a [tag=ingame, scores={seatT=0}] subtitle §6§l§☆DRAW 2 CARDS
execute @s [tag= draw2, tag=!turnRepeat] ~~~ tellraw @a [tag=ingame,scores={seatT=!0}] {"rawtext":[{"text":"§l§a§o- §r§7§o"},{"selector":"@a [tag=ingame,scores={seatT=0}]"},{"text":"'s turn was skiped and they were to draw 2 cards."}]}
execute @s [tag= draw2, tag=!turnRepeat] ~~~ tellraw @a [tag=ingame,scores={seatT=0}] {"rawtext":[{"text":"§l §6DRAW 2 CARDS"}]}
tag @s [tag= draw2, tag=!turnRepeat] remove draw2

#if draw4 card and didnt respond to challenge prompt
scoreboard players set @s [tag=draw, tag=!turnRepeat] deal 4
scoreboard players add @s [tag=draw, tag=!turnRepeat] cardsInHand 4
execute @s [tag=draw, tag=!turnRepeat] ~~~ tag @e remove draw4
execute @s [tag=draw, tag=!turnRepeat] ~~~ tag @a remove draw4
dialogue open @e[tag=close,c=1,r=100] @s [tag=draw, tag=!turnRepeat]
playsound uno:draw4 @s [tag=draw, tag=!turnRepeat]
title @s [tag=draw, tag=!turnRepeat] title §r
title @s [tag=draw, tag=!turnRepeat] subtitle §6§l§☆DRAW 4 CARDS
execute @s [tag=draw, tag=!turnRepeat] ~~~ tellraw @a [tag=ingame,scores={seatT=!0}] {"rawtext":[{"text":"§l§a§o- §r§7§o"},{"selector":"@s"},{"text":"'s turn was skiped and they were to draw 4 cards."}]}
execute @s [tag=draw, tag=!turnRepeat] ~~~ tellraw @a [tag=ingame,scores={seatT=0}] {"rawtext":[{"text":"§l §6DRAW 4 CARDS"}]}
tag @s [tag=draw, tag=!turnRepeat] remove draw

#if draw4 card
execute @s [tag=draw4, tag=!turnRepeat] ~~~ tag @a [scores={seatT=0},tag=!draw4] add draw
execute @s [tag=draw4, tag= !picked, tag=!turnRepeat] ~~~ scoreboard players random @e [name=game] color 1 4
dialogue open @e [tag=close,c=1,r=100] @s [tag=draw4, tag= !picked, tag= !turnRepeat]
tag @s [tag= draw4, tag=picked, tag=!turnRepeat] remove picked

#if wild card
execute @s [tag= wild, tag= !picked, tag=!turnRepeat] ~~~ scoreboard players random @e [name=game] color 1 4
dialogue open @e [tag=close,c=1,r=100] @s [tag=wild, tag= !picked, tag= !turnRepeat]
tag @s [tag= wild, tag=picked, tag=!turnRepeat] remove picked
tag @s [tag= wild, tag=!turnRepeat] remove wild

execute @s [tag= skip, tag= !turnRepeat] ~~~ function Game/skipTag
tag @s [tag=!skip, tag=!turnRepeat] remove drew

#dev
#execute @a [tag= ingame,scores={seatT=0}] ~~~ tellraw @a [tag=ingame] {"rawtext":[{"selector":"@s"},{"text":"; my turn! D:"}]}

#loop if seat empty
execute @s [tag=turnRepeat] ~~~ function Game/turn_acw